Subject: Re: AGPGART driver for ArticiaS - ioremap() problem

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 21 Jan 2006 10:00:16 +1100

On Fri, 2006-01-20 at 12:16 +0100, Gerhard Pircher wrote:

> > Nope... look at drivers/pci/setup-res.c how it does for allocating new
> > resources for PCI devices.
> I guess you mean something like this code snipped from the efficeon-agp.c
> source code (with pci_assign_resource()):

Something around those lines... you will probably need to use lower
level routines, not pci_* as the AGP aperture isn't generally a BAR.

> BTW: I took a look at the PCI resources list of the AmigaOne and found out
> that the resources of the AGP graphic card are allocated to bus 0 (PCI
> only). IMHO their allocation should be assigned to bus 1 (AGP) (at least
> this is the case on x86!?), so I think this should be fixed. Is my
> assumption correct?

Hrm... sounds weird, can you send me the output of lspci -vv,
cat /proc/iomem and cat /prop/ioports ?

Ben.